Bug 200517 - false RPM Requires "/usr1/local/bin/perl5" in CCfits-docs
Summary: false RPM Requires "/usr1/local/bin/perl5" in CCfits-docs
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: CCfits   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-28 12:36 UTC by J. Randall Owens
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 15:29:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description J. Randall Owens 2006-07-28 12:36:10 UTC
Description of problem:
When trying to install CCfits-docs-1.5-1.fc5, I get an error message that it
requires "/usr1/local/bin/perl5". I have neither a /usr1, nor a
/usr/local/bin/perl, nor any perl5 in my path at all.

Version-Release number of selected component (if applicable):
CCfits-docs-1.5-1.fc5

How reproducible:
Attempt to install or upgrade CCfits-docs

Steps to Reproduce:
1. ( rpm -Uhv CCfits-docs-1.5-1.fc5.i386.rpm | smart install CCfits-docs )
2. rpm -qp --requires CCfits-docs-1.5-1.fc5.i386.rpm
  
Actual results:
1.:
error: Failed dependencies:
        /usr1/local/bin/perl5 is needed by CCfits-docs-1.5-1.fc5.i386
Exit 1
2.:
Requires:
/usr1/local/bin/perl5
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

Expected results:
Package installed

Additional info:
Comment in Changelog, "Perl files in docs removed in the source", and removed
the setup command "rm -rf %{_builddir}/%{name}/html/*.pl". But the -docs RPM
still includes two perl files,
/usr/share/doc/CCfits-docs-1.5/html/ccfitschange_sff.pl and
/usr/share/doc/CCfits-docs-1.5/html/support_subs.pl .
Diff between tar -tzf output for the tarballs shows no changes in the number and
names of files.
And building RPMs for public consumption on a host with perl as perl5 in
/usr1/local is a bad thing anyway. ;) On a standard Fedora, if perl were
required, it should come up as /usr/bin/perl, /usr/bin/perl5.8.8, or just perl
(with optional version).

Comment 1 J. Randall Owens 2006-07-28 12:41:38 UTC
Added thought: Although I haven't actually looked in the tarballs or installed
with --nodeps yet, it just occurred to me that it probably gets that particular
path of perl from the #! first line in the perl files. So it probably doesn't
have anything to do with the host the RPMs were built on.

Comment 2 J. Randall Owens 2006-07-28 12:48:16 UTC
head /usr/share/doc/CCfits-docs-1.5/html/ccfitschange_sff.pl
#!/usr1/local/bin/perl5
# Bob Crosier  3/8/95
# Bob Crosier  3/22/95 (modified from webclean.pl)
# Bob Crosier  6/02/95 required the RunningDisplay subroutine

# This Perl script MAKES CHANGES TO FILES; BE CAREFUL

# Pass this Perl script a bunch of filenames on STDIN
#   (e.g. by piping it the output of 'find' or 'ls')
# This script will make changes within the files, but when done, the files


The other one, support_subs.pl, has no #! at all, oddly enough. But it says it's
to be required from the web scripts anyway, so I suppose it doesn't really need one.

Comment 3 Sergio Pascual 2006-07-28 15:22:45 UTC
Yes, it's my fault. I don't know why, but I thought that the perl files were
removed. I have created a new rpm with the 

rm -rf %{_builddir}/%{name}/html/*.pl

included again


Note You need to log in before you can comment on or make changes to this bug.